Opened 11 years ago

Closed 9 years ago

Last modified 6 years ago

#468 closed new feature (worksforme)

Groups pages in Rox

Reported by: lemon-head Owned by: fake51
Priority: major Milestone: Legacy Resolved
Component: BW Group Keywords: groups
Cc: mahouni, globetrotter_tt

Description

We want new groups pages in Rox!

With new features, obviously.

Change History (52)

comment:1 Changed 11 years ago by lemon-head

  • Owner set to lemon-head
  • Status changed from new to assigned

I am working on this!

comment:2 follow-up: Changed 11 years ago by lemon-head

[4356] - first taste of new groups pages

http://test.bewelcome.org/groups

comment:3 in reply to: ↑ 2 Changed 11 years ago by mahouni

  • Cc mahouni added

Replying to lemon-head:

looks like a good framework! What needs to work seems to work at the moment.

comment:4 Changed 10 years ago by philipp

  • follow_up changed from none to test
  • Priority changed from major to critical
  • show_on_bw changed from 0 to 1

what's still missing or not yet working fine enough for a basic release?

Please collect here so that we can get this done with top priority.

comment:5 follow-up: Changed 10 years ago by midsch

  • Cc globetrotter_tt added

Isn't globetrotter_tt working on this as well? At least we're apointed to look over some drafts thursday ...

comment:6 in reply to: ↑ 5 Changed 10 years ago by philipp

Replying to midsch:

Isn't globetrotter_tt working on this as well? At least we're apointed to look over some drafts thursday ...

Yes he is - but "only" layout wise.

comment:7 Changed 10 years ago by micha

moved first version to alpha.

comment:8 Changed 10 years ago by micha

  • freq_reported changed from 1 to 5
  • Keywords groups added

Should we move this first version on to production to replace the old one? (bw/groups.php)

comment:9 Changed 10 years ago by midsch

First of all, off topic and just to understand the concept: Why is it a critical bug? Usually "critical" is used for stuff, that has dangerous, very annoying or limiting bugs in production systems.

Back to topic:

Don't move it to alpha, bring it back to test or at least make it testable at alpha:

  • http://alpha.bewelcome.org/groups - overview AND create: "Please implement GroupsOverviewPage? ::column_col3()"
  • Main menue "groups" still links to the old groups
  • From what I've seen at test.bewelcome.org The question if we really want to use the outdated ErfurtWiki? is still open Member settings isn't working (empty) Links to groups, my groups etc aren't clear RSS-Feeds for grouprelated forum posts?

The main problem for me is: Finding a clear structure in layout/navigation. It's different in all systems.

comment:10 Changed 10 years ago by fake51

  • Owner changed from lemon-head to fake51
  • Status changed from assigned to new

comment:11 Changed 10 years ago by globetrotter_tt

  • follow_up changed from test to none
  • Priority changed from critical to major

To come back to the topic:

To make it easier to find groups, i think it would be good to have all groups in categories. So when somebody creates a new group it should be always in a category.

The categories you can see on the draft: http://test.bewelcome.org/groups are of course not fixed. Would be good to brainstorm more about this.

comment:12 Changed 10 years ago by globetrotter_tt

Things which don't work so far:

  • Not possible to create a group
    Notice: Undefined variable: model in /var/www/test.bewelcome.org/build/groups/groups.ctrl.php on line 255
    
    Fatal error: Call to a member function createGroupSendOrComplain() on a non-object in /var/www/test.bewelcome.org/build/groups/groups.ctrl.php on line 255
    
  • The subpages/tabs (discussion & wiki) don't show any content, yet
  • The "Member settings" page is still unclear to me

comment:13 Changed 10 years ago by globetrotter_tt

Peter's to-do list ;-)

Basic == (features that are neccessary to make groups working)

1. possibility to create a new group

  • add a upload picture function

2. admin/moderator settings

  • delete group
  • change group description
  • change group picture
  • change group settings (public, invited members only, bewelcome members only)
  • possibility to kick members ?
  • moderation of group discussions (forum) ?

3. user settings

  • possibility to edit membership comment

Intermediate == (features should be done for better usability)

  • Category system to make it easier to find groups
  • rss / email subscription

Advanced == (Nice to have features for the future)

  1. gallery
  2. events
  3. polls
  4. group blog ?

comment:14 Changed 10 years ago by fake51

Stuff added/changed:

  • error output for group creation / membership info update
  • membership info can now be changed (only the accept mail from this group bit, the comment will come soon)

Feel free to test on test

comment:15 Changed 10 years ago by fake51

  • follow_up changed from none to test

Stuff added/modified in commit #6864:

  1. groups can be deleted by their owners or by a member with group delete rights (like the admin user)
  2. group description and settings can be changed
  3. member group-comments can be changed

Will add picture upload and member administration soon, as well as function to pass on group ownership and appointing group admins.

comment:16 Changed 10 years ago by fake51

Todo:

  • make sure groupowner can't leave the group
  • improve error messages (sort of implies creating an overall message system)
  • member settings change and group settings change should redirect to group start page, not back to the same page

comment:17 Changed 10 years ago by fake51

Image upload for groups should now work (as in, you can set an image (one, not a gallery) for the group)

comment:18 Changed 10 years ago by fake51

Adding a few todo's (all basic):

  • pass on ownership
  • groupowner can't leave group
  • administrate members (as in, allow members in, kick them, etc)
  • display group owner on group page
  • add logging for group actions (create, join, leave, deletion, settings change)

comment:19 Changed 10 years ago by fake51

Added check to make sure groupowner can't leave group (needs to be refined but works atm)

Added display of groupowner on group start page (needs better layout but functionality is there now)

comment:20 Changed 10 years ago by fake51

Update: added kicking / banning of members from groups

comment:21 Changed 10 years ago by feuerdaemon

If groupowner henri wants to leave group hitch hiker the following error message appears: Notice: Undefined offset: 0 in /var/www/test.bewelcome.org/build/forums/forums.model.php on line 509 - BW Rox version: user agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.0.5) Gecko/2008121621 Ubuntu/8.04 (hardy) Firefox/3.0.5 request uri: http://test.bewelcome.org/groups/39/leave/true

comment:22 Changed 10 years ago by feuerdaemon

Same with joining to new groups - Notice: Undefined offset: 0 in /var/www/test.bewelcome.org/build/forums/forums.model.php on line 509

comment:23 Changed 10 years ago by micha

Same with clicking on http://test.bewelcome.org/groups/new while not beeing logged in:

Warning: Invalid argument supplied for foreach() in /var/www/test.bewelcome.org/build/groups/templates/groupsoverview.column_col3.php on line 32

That appears right underneath the Group List-heading.

comment:24 Changed 10 years ago by fake51

Last reported bug should be fixed now.

comment:25 follow-up: Changed 10 years ago by fake51

Fixed a bug with missing group images Stopped invitation only groups displaying on groups overview page for non-logged-in users Made sure you cannot see details of invitation only group when not logged in

comment:26 in reply to: ↑ 25 Changed 10 years ago by sitarane

Escape sign appears in the group titles that include the "apostrophe" sign: That\'s a private group

comment:27 Changed 10 years ago by sitarane

"Are you sure you want to ban this member?" is for both "ban" and "kick". Use "kick" instead of "Ban" if I'm kicking someone.

comment:28 Changed 10 years ago by sitarane

Insanely long error after kicking the bastard Henri out of my Heavy Metal group. See attached file, I'd feel like a spammer to paste it here.

God! I can attach files! Ah wait... what's that "code block" thingey?

Invalid Continent

PException
code: 	0
message: 	Invalid Continent
file: 	/var/www/test.bewelcome.org/build/forums/forums.model.php
line: 	448

Forums::boardContinent()
/var/www/test.bewelcome.org/build/forums/forums.model.php (line 866)
Forums::prepareForum()
/var/www/test.bewelcome.org/build/forums/forums.ctrl.php (line 408)
ForumsController::showExternalGroupThreads( string 43

43

)
/var/www/test.bewelcome.org/build/groups/templates/groupstart.php (line 17)
include( string(65) = "/var/www/test.bewelc"

/var/www/test.bewelcome.org/build/groups/templates/groupstart.php

)
/var/www/test.bewelcome.org/build/groups/groupstart.page.php (line 35)
GroupStartPage::column_col3()
/var/www/test.bewelcome.org/tools/page/roxlayout.page.php (line 281)
PageWithRoxLayout::_column( string(4) = "col3"

col3

)
/var/www/test.bewelcome.org/templates/shared/roxpage/columnsarea.php (line 14)
require( string(68) = "/var/www/test.bewelc"

/var/www/test.bewelcome.org/templates/shared/roxpage/columnsarea.php

)
/var/www/test.bewelcome.org/tools/page/roxlayout.page.php (line 225)
PageWithRoxLayout::columnsArea()
/var/www/test.bewelcome.org/templates/shared/roxpage/body.php (line 18)
require( string(61) = "/var/www/test.bewelc"

/var/www/test.bewelcome.org/templates/shared/roxpage/body.php

)
/var/www/test.bewelcome.org/tools/page/roxlayout.page.php (line 129)
PageWithRoxLayout::body()
/var/www/test.bewelcome.org/tools/page/html.page.php (line 108)
PageWithHTML::printHTML()
/var/www/test.bewelcome.org/tools/page/html.page.php (line 11)
PageWithHTML::render()
/var/www/test.bewelcome.org/tools/routing/roxfrontrouter.class.php (line 345)
RoxFrontRouter::renderPage( GroupStartPage object

GroupStartPage Object
(
    [_messages:protected] => 
    [meta_description:protected] => BeWelcome is a free non profit Hospitality exchange network for better intercultural understanding
    [meta_keyword:protected] => BeWelcome, be welcome, hospitality exchange, intercultural understanding, free accommodation
    [meta_robots:protected] => All
    [_widgets:private] => Array
        (
        )

    [_words:private] => MOD_words Object
        (
            [_lang:private] => arm
            [_trMode:private] => browse
            [_whereCategory:private] => 
            [_offerTranslationLink:private] => 
            [_langWrite:private] => 12
            [_dao:private] => PDB_mysql Object
                (
                    [_cr:private] => Resource id #111
                    [_dbname:private] => hcvoltest
                    [_results:private] => 
                )

            [WordMemcache:private] => MOD_bw_memcache Object
                (
                    [_tablename:private] => words
                    [_sentencecolumn:private] => Sentence
                    [_idtradcolumn:private] => code
                    [_dao:private] => 
                    [memcache:private] => 
                )

        )

    [_model:private] => 0
    [_parameters:private] => Array
        (
            [group] => Group Object
                (
                    [sql_order] => 
                    [_table_name:protected] => groups
                    [_primary_key:protected] => id
                    [_auto_incrementing:protected] => 1
                    [_fields_array:protected] => Array
                        (
                            [id] => Array
                                (
                                    [type] => int
                                    [allow_null] => 1
                                )

                            [HasMembers] => Array
                                (
                                )

                            [NbChilds] => Array
                                (
                                )

                            [Name] => Array
                                (
                                    [type] => string
                                    [min] => 1
                                    [max] => 41
                                )

                            [Type] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => Public
                                            [1] => NeedAcceptance
                                            [2] => NeedInvitation
                                        )

                                )

                            [created] => Array
                                (
                                    [type] => date
                                )

                            [Picture] => Array
                                (
                                    [type] => string
                                )

                            [MoreInfo] => Array
                                (
                                    [type] => string
                                )

                            [DisplayedOnProfile] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => Yes
                                            [1] => No
                                        )

                                )

                            [VisiblePosts] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => yes
                                            [1] => no
                                        )

                                )

                            [IdDescription] => Array
                                (
                                    [type] => int
                                    [allow_null] => 1
                                )

                        )

                    [_valid_fields:protected] => 
                    [_has_loaded:protected] => 1
                    [_validation_error:protected] => 
                    [_method_cache:private] => Array
                        (
                        )

                    [_entity_factory:protected] => RoxEntityFactory Object
                        (
                            [_entities:private] => Array
                                (
                                    [Note] => build/notify/note.entity
                                    [Group] => build/groups/group.entity
                                    [Member] => build/members/member.entity
                                    [GroupMembership] => build/groups/groupmembership.entity
                                    [Role] => build/rights/role.entity
                                    [Privilege] => build/rights/privilege.entity
                                    [RolePrivilege] => build/rights/roleprivilege.entity
                                    [MemberRole] => build/rights/memberrole.entity
                                    [PrivilegeScope] => build/rights/privilegescope.entity
                                )

                        )

                    [_parameters:private] => Array
                        (
                            [id] => 43
                            [HasMembers] => HasMember
                            [Name] => Heavy metal
                            [Type] => Public
                            [created] => 2009-02-20 05:10:35
                            [NbChilds] => 0
                            [Picture] => 
                            [MoreInfo] => 
                            [DisplayedOnProfile] => Yes
                            [VisiblePosts] => yes
                            [IdDescription] => 1352
                            [MOD_words] => MOD_words Object
                                (
                                    [_lang:private] => arm
                                    [_trMode:private] => browse
                                    [_whereCategory:private] => 
                                    [_offerTranslationLink:private] => 
                                    [_langWrite:private] => 12
                                    [_dao:private] => PDB_mysql Object
                                        (
                                            [_cr:private] => Resource id #111
                                            [_dbname:private] => hcvoltest
                                            [_results:private] => 
                                        )

                                    [WordMemcache:private] => MOD_bw_memcache Object
                                        (
                                            [_tablename:private] => words
                                            [_sentencecolumn:private] => Sentence
                                            [_idtradcolumn:private] => code
                                            [_dao:private] => 
                                            [memcache:private] => 
                                        )

                                )

                        )

                    [_cache:private] => Array
                        (
                            [dao] => PDB_mysql Object
                                (
                                    [_cr:private] => Resource id #111
                                    [_dbname:private] => hcvoltest
                                    [_results:private] => 
                                )

                        )

                )

            [member] => Member Object
                (
                    [trads:private] => 
                    [trads_by_tradid:private] => 
                    [address] => 
                    [profile_languages:private] => 
                    [edit_mode:private] => 
                    [sql_order] => 
                    [_table_name:protected] => members
                    [_primary_key:protected] => id
                    [_auto_incrementing:protected] => 1
                    [_fields_array:protected] => Array
                        (
                            [id] => Array
                                (
                                    [type] => int
                                )

                            [Status] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => MailToConfirm
                                            [1] => Pending
                                            [2] => DuplicateSigned
                                            [3] => NeedMore
                                            [4] => Rejected
                                            [5] => CompletedPending
                                            [6] => Active
                                            [7] => TakenOut
                                            [8] => Banned
                                            [9] => Sleeper
                                            [10] => ChoiceInactive
                                            [11] => OutOfRemind
                                            [12] => Renamed
                                            [13] => ActiveHidden
                                            [14] => SuspendedBeta
                                            [15] => AskToLeave
                                            [16] => StopBoringMe
                                            [17] => PassedAway
                                            [18] => Buggy
                                        )

                                )

                            [Username] => Array
                                (
                                    [type] => string
                                    [min] => 2
                                    [max] => 32
                                )

                            [ChangedId] => Array
                                (
                                    [type] => int
                                )

                            [Email] => Array
                                (
                                    [type] => int
                                )

                            [HomePhoneNumber] => Array
                                (
                                    [type] => int
                                )

                            [CellPhoneNumber] => Array
                                (
                                    [type] => int
                                )

                            [WorkPhoneNumber] => Array
                                (
                                    [type] => int
                                )

                            [SecEmail] => Array
                                (
                                    [type] => int
                                )

                            [FirstName] => Array
                                (
                                    [type] => int
                                )

                            [SecondName] => Array
                                (
                                    [type] => int
                                )

                            [LastName] => Array
                                (
                                    [type] => int
                                )

                            [Accomodation] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => anytime
                                            [1] => dependonrequest
                                            [2] => neverask
                                        )

                                    [allow_null] => 1
                                )

                            [AdditionalAccomodationInfo] => Array
                                (
                                    [type] => int
                                )

                            [ILiveWith] => Array
                                (
                                    [type] => int
                                )

                            [IdCity] => Array
                                (
                                    [type] => int
                                )

                            [IdentityCheckLevel] => Array
                                (
                                    [type] => int
                                )

                            [InformationToGuest] => Array
                                (
                                    [type] => int
                                )

                            [TypicOffer] => Array
                                (
                                    [type] => set
                                    [values] => Array
                                        (
                                            [0] => guidedtour
                                            [1] => dinner
                                            [2] => CanHostWeelChair
                                        )

                                )

                            [Offer] => Array
                                (
                                    [type] => int
                                )

                            [MaxGuest] => Array
                                (
                                    [type] => int
                                )

                            [MaxLenghtOfStay] => Array
                                (
                                    [type] => int
                                )

                            [Organizations] => Array
                                (
                                    [type] => int
                                )

                            [Restrictions] => Array
                                (
                                    [type] => set
                                    [values] => Array
                                        (
                                            [0] => NoSmoker
                                            [1] => NoAlchool
                                            [2] => NoDrugs
                                            [3] => SeeOtherRestrictions
                                        )

                                )

                            [OtherRestrictions] => Array
                                (
                                    [type] => int
                                )

                            [bday] => Array
                                (
                                    [type] => int
                                )

                            [bmonth] => Array
                                (
                                    [type] => int
                                )

                            [byear] => Array
                                (
                                    [type] => int
                                )

                            [updated] => Array
                                (
                                    [type] => date
                                )

                            [created] => Array
                                (
                                    [type] => date
                                )

                            [LastLogin] => Array
                                (
                                    [type] => date
                                )

                            [SecurityFlag] => Array
                                (
                                    [type] => int
                                )

                            [Quality] => Array
                                (
                                    [type] => set
                                    [values] => Array
                                        (
                                            [0] => NeverLog
                                            [1] => LogOnce
                                            [2] => UpdateIsProfile
                                            [3] => HasSentMessage
                                            [4] => HasAnswerMessage
                                            [5] => HasBeenGuest
                                            [6] => HasBeenHost
                                        )

                                )

                            [ProfileSummary] => Array
                                (
                                    [type] => int
                                )

                            [Occupation] => Array
                                (
                                    [type] => int
                                )

                            [CounterGuests] => Array
                                (
                                    [type] => int
                                )

                            [CounterHosts] => Array
                                (
                                    [type] => int
                                )

                            [CounterTrusts] => Array
                                (
                                    [type] => int
                                )

                            [PassWord] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [Gender] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => IDontTell
                                            [1] => male
                                            [2] => female
                                        )

                                )

                            [HideGender] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => Yes
                                            [1] => No
                                        )

                                )

                            [GenderOfGuest] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => any
                                            [1] => male
                                            [2] => female
                                        )

                                )

                            [MotivationForHospitality] => Array
                                (
                                    [type] => int
                                    [allow_null] => 1
                                )

                            [HideBirthDate] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => Yes
                                            [1] => No
                                        )

                                )

                            [BirthDate] => Array
                                (
                                    [type] => date
                                    [allow_null] => 1
                                )

                            [AdressHidden] => Array
                                (
                                    [type] => enum
                                    [values] => Array
                                        (
                                            [0] => Yes
                                            [1] => No
                                        )

                                )

                            [WebSite] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_SKYPE] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_ICQ] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_AOL] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_MSN] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_YAHOO] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [chat_Others] => Array
                                (
                                    [type] => string
                                    [allow_null] => 1
                                )

                            [FutureTrips] => Array
                                (
                                    [type] => int
                                )

                            [OldTrips] => Array
                                (
                                    [type] => int
                                )

                            [LogCount] => Array
                                (
                                    [type] => int
                                )

                            [Hobbies] => Array
                                (
                                    [type] => int
                                )

                            [Books] => Array
                                (
                                    [type] => int
                                )

                            [Music] => Array
                                (
                                    [type] => int
                                )

                            [PastTrips] => Array
                                (
                                    [type] => int
                                )

                            [PlannedTrips] => Array
                                (
                                    [type] => int
                                )

                            [PleaseBring] => Array
                                (
                                    [type] => int
                                )

                            [OfferGuests] => Array
                                (
                                    [type] => int
                                )

                            [OfferHosts] => Array
                                (
                                    [type] => int
                                )

                            [PublicTransport] => Array
                                (
                                    [type] => int
                                )

                            [Movies] => Array
                                (
                                    [type] => int
                                )

                            [chat_GOOGLE] => Array
                                (
                                    [type] => int
                                )

                            [NbRemindWithoutLogingIn] => Array
                                (
                                    [type] => int
                                )

                        )

                    [_valid_fields:protected] => 
                    [_has_loaded:protected] => 1
                    [_validation_error:protected] => 
                    [_method_cache:private] => Array
                        (
                        )

                    [_entity_factory:protected] => RoxEntityFactory Object
                        (
                            [_entities:private] => Array
                                (
                                    [Note] => build/notify/note.entity
                                    [Group] => build/groups/group.entity
                                    [Member] => build/members/member.entity
                                    [GroupMembership] => build/groups/groupmembership.entity
                                    [Role] => build/rights/role.entity
                                    [Privilege] => build/rights/privilege.entity
                                    [RolePrivilege] => build/rights/roleprivilege.entity
                                    [MemberRole] => build/rights/memberrole.entity
                                    [PrivilegeScope] => build/rights/privilegescope.entity
                                )

                        )

                    [_parameters:private] => Array
                        (
                            [id] => 158
                            [Status] => Active
                            [Username] => sitarane
                            [ChangedId] => 0
                            [Email] => 866
                            [HomePhoneNumber] => 1223
                            [CellPhoneNumber] => 1224
                            [WorkPhoneNumber] => 1225
                            [SecEmail] => 0
                            [FirstName] => 870
                            [SecondName] => 0
                            [LastName] => 871
                            [Accomodation] => dependonrequest
                            [AdditionalAccomodationInfo] => 1340
                            [ILiveWith] => 1338
                            [IdCity] => 2911298
                            [IdentityCheckLevel] => 000
                            [InformationToGuest] => 0
                            [TypicOffer] => guidedtour,dinner,CanHostWeelChair
                            [Offer] => 0
                            [MaxGuest] => 1
                            [MaxLenghtOfStay] => 1339
                            [Organizations] => 1336
                            [Restrictions] => NoSmoker,NoDrugs,SeeOtherRestrictions
                            [OtherRestrictions] => 1341
                            [bday] => 0
                            [bmonth] => 0
                            [byear] => 0
                            [updated] => 2009-04-24 17:37:00
                            [created] => 2008-06-30 15:27:22
                            [LastLogin] => 2009-04-24 17:37:00
                            [SecurityFlag] => 0
                            [Quality] => NeverLog
                            [ProfileSummary] => 1268
                            [Occupation] => 1337
                            [CounterGuests] => 0
                            [CounterHosts] => 0
                            [CounterTrusts] => 0
                            [PassWord] => *2401D2A463624BCE97A373FA3276540C1F491C92
                            [Gender] => male
                            [HideGender] => No
                            [GenderOfGuest] => any
                            [MotivationForHospitality] => 
                            [HideBirthDate] => No
                            [BirthDate] => 1981-01-02
                            [AdressHidden] => Yes
                            [WebSite] => www.pornhub.com
                            [chat_SKYPE] => 1226
                            [chat_ICQ] => 
                            [chat_AOL] => 
                            [chat_MSN] => 
                            [chat_YAHOO] => 
                            [chat_Others] => 
                            [FutureTrips] => 0
                            [OldTrips] => 0
                            [LogCount] => 12
                            [Hobbies] => 1342
                            [Books] => 1343
                            [Music] => 1344
                            [PastTrips] => 1346
                            [PlannedTrips] => 1347
                            [PleaseBring] => 1348
                            [OfferGuests] => 1349
                            [OfferHosts] => 1350
                            [PublicTransport] => 1351
                            [Movies] => 1345
                            [chat_GOOGLE] => 0
                            [NbRemindWithoutLogingIn] => 0
                        )

                    [_cache:private] => Array
                        (
                            [dao] => PDB_mysql Object
                                (
                                    [_cr:private] => Resource id #111
                                    [_dbname:private] => hcvoltest
                                    [_results:private] => 
                                )

                        )

                )

            [model] => GroupsModel Object
                (
                    [_group_list:private] => 0
                    [_entity_factory:protected] => RoxEntityFactory Object
                        (
                            [_entities:private] => Array
                                (
                                    [Note] => build/notify/note.entity
                                    [Group] => build/groups/group.entity
                                    [Member] => build/members/member.entity
                                    [GroupMembership] => build/groups/groupmembership.entity
                                    [Role] => build/rights/role.entity
                                    [Privilege] => build/rights/privilege.entity
                                    [RolePrivilege] => build/rights/roleprivilege.entity
                                    [MemberRole] => build/rights/memberrole.entity
                                    [PrivilegeScope] => build/rights/privilegescope.entity
                                )

                        )

                    [_parameters:private] => Array
                        (
                            [loggedInMember] => Member Object
                                (
                                    [trads:private] => 
                                    [trads_by_tradid:private] => 
                                    [address] => 
                                    [profile_languages:private] => 
                                    [edit_mode:private] => 
                                    [sql_order] => 
                                    [_table_name:protected] => members
                                    [_primary_key:protected] => id
                                    [_auto_incrementing:protected] => 1
                                    [_fields_array:protected] => Array
                                        (
                                            [id] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Status] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => MailToConfirm
                                                            [1] => Pending
                                                            [2] => DuplicateSigned
                                                            [3] => NeedMore
                                                            [4] => Rejected
                                                            [5] => CompletedPending
                                                            [6] => Active
                                                            [7] => TakenOut
                                                            [8] => Banned
                                                            [9] => Sleeper
                                                            [10] => ChoiceInactive
                                                            [11] => OutOfRemind
                                                            [12] => Renamed
                                                            [13] => ActiveHidden
                                                            [14] => SuspendedBeta
                                                            [15] => AskToLeave
                                                            [16] => StopBoringMe
                                                            [17] => PassedAway
                                                            [18] => Buggy
                                                        )

                                                )

                                            [Username] => Array
                                                (
                                                    [type] => string
                                                    [min] => 2
                                                    [max] => 32
                                                )

                                            [ChangedId] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Email] => Array
                                                (
                                                    [type] => int
                                                )

                                            [HomePhoneNumber] => Array
                                                (
                                                    [type] => int
                                                )

                                            [CellPhoneNumber] => Array
                                                (
                                                    [type] => int
                                                )

                                            [WorkPhoneNumber] => Array
                                                (
                                                    [type] => int
                                                )

                                            [SecEmail] => Array
                                                (
                                                    [type] => int
                                                )

                                            [FirstName] => Array
                                                (
                                                    [type] => int
                                                )

                                            [SecondName] => Array
                                                (
                                                    [type] => int
                                                )

                                            [LastName] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Accomodation] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => anytime
                                                            [1] => dependonrequest
                                                            [2] => neverask
                                                        )

                                                    [allow_null] => 1
                                                )

                                            [AdditionalAccomodationInfo] => Array
                                                (
                                                    [type] => int
                                                )

                                            [ILiveWith] => Array
                                                (
                                                    [type] => int
                                                )

                                            [IdCity] => Array
                                                (
                                                    [type] => int
                                                )

                                            [IdentityCheckLevel] => Array
                                                (
                                                    [type] => int
                                                )

                                            [InformationToGuest] => Array
                                                (
                                                    [type] => int
                                                )

                                            [TypicOffer] => Array
                                                (
                                                    [type] => set
                                                    [values] => Array
                                                        (
                                                            [0] => guidedtour
                                                            [1] => dinner
                                                            [2] => CanHostWeelChair
                                                        )

                                                )

                                            [Offer] => Array
                                                (
                                                    [type] => int
                                                )

                                            [MaxGuest] => Array
                                                (
                                                    [type] => int
                                                )

                                            [MaxLenghtOfStay] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Organizations] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Restrictions] => Array
                                                (
                                                    [type] => set
                                                    [values] => Array
                                                        (
                                                            [0] => NoSmoker
                                                            [1] => NoAlchool
                                                            [2] => NoDrugs
                                                            [3] => SeeOtherRestrictions
                                                        )

                                                )

                                            [OtherRestrictions] => Array
                                                (
                                                    [type] => int
                                                )

                                            [bday] => Array
                                                (
                                                    [type] => int
                                                )

                                            [bmonth] => Array
                                                (
                                                    [type] => int
                                                )

                                            [byear] => Array
                                                (
                                                    [type] => int
                                                )

                                            [updated] => Array
                                                (
                                                    [type] => date
                                                )

                                            [created] => Array
                                                (
                                                    [type] => date
                                                )

                                            [LastLogin] => Array
                                                (
                                                    [type] => date
                                                )

                                            [SecurityFlag] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Quality] => Array
                                                (
                                                    [type] => set
                                                    [values] => Array
                                                        (
                                                            [0] => NeverLog
                                                            [1] => LogOnce
                                                            [2] => UpdateIsProfile
                                                            [3] => HasSentMessage
                                                            [4] => HasAnswerMessage
                                                            [5] => HasBeenGuest
                                                            [6] => HasBeenHost
                                                        )

                                                )

                                            [ProfileSummary] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Occupation] => Array
                                                (
                                                    [type] => int
                                                )

                                            [CounterGuests] => Array
                                                (
                                                    [type] => int
                                                )

                                            [CounterHosts] => Array
                                                (
                                                    [type] => int
                                                )

                                            [CounterTrusts] => Array
                                                (
                                                    [type] => int
                                                )

                                            [PassWord] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [Gender] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => IDontTell
                                                            [1] => male
                                                            [2] => female
                                                        )

                                                )

                                            [HideGender] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => Yes
                                                            [1] => No
                                                        )

                                                )

                                            [GenderOfGuest] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => any
                                                            [1] => male
                                                            [2] => female
                                                        )

                                                )

                                            [MotivationForHospitality] => Array
                                                (
                                                    [type] => int
                                                    [allow_null] => 1
                                                )

                                            [HideBirthDate] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => Yes
                                                            [1] => No
                                                        )

                                                )

                                            [BirthDate] => Array
                                                (
                                                    [type] => date
                                                    [allow_null] => 1
                                                )

                                            [AdressHidden] => Array
                                                (
                                                    [type] => enum
                                                    [values] => Array
                                                        (
                                                            [0] => Yes
                                                            [1] => No
                                                        )

                                                )

                                            [WebSite] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_SKYPE] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_ICQ] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_AOL] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_MSN] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_YAHOO] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [chat_Others] => Array
                                                (
                                                    [type] => string
                                                    [allow_null] => 1
                                                )

                                            [FutureTrips] => Array
                                                (
                                                    [type] => int
                                                )

                                            [OldTrips] => Array
                                                (
                                                    [type] => int
                                                )

                                            [LogCount] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Hobbies] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Books] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Music] => Array
                                                (
                                                    [type] => int
                                                )

                                            [PastTrips] => Array
                                                (
                                                    [type] => int
                                                )

                                            [PlannedTrips] => Array
                                                (
                                                    [type] => int
                                                )

                                            [PleaseBring] => Array
                                                (
                                                    [type] => int
                                                )

                                            [OfferGuests] => Array
                                                (
                                                    [type] => int
                                                )

                                            [OfferHosts] => Array
                                                (
                                                    [type] => int
                                                )

                                            [PublicTransport] => Array
                                                (
                                                    [type] => int
                                                )

                                            [Movies] => Array
                                                (
                                                    [type] => int
                                                )

                                            [chat_GOOGLE] => Array
                                                (
                                                    [type] => int
                                                )

                                            [NbRemindWithoutLogingIn] => Array
                                                (
                                                    [type] => int
                                                )

                                        )

                                    [_valid_fields:protected] => 
                                    [_has_loaded:protected] => 1
                                    [_validation_error:protected] => 
                                    [_method_cache:private] => Array
                                        (
                                        )

                                    [_entity_factory:protected] => RoxEntityFactory Object
                                        (
                                            [_entities:private] => Array
                                                (
                                                    [Note] => build/notify/note.entity
                                                    [Group] => build/groups/group.entity
                                                    [Member] => build/members/member.entity
                                                    [GroupMembership] => build/groups/groupmembership.entity
                                                    [Role] => build/rights/role.entity
                                                    [Privilege] => build/rights/privilege.entity
                                                    [RolePrivilege] => build/rights/roleprivilege.entity
                                                    [MemberRole] => build/rights/memberrole.entity
                                                    [PrivilegeScope] => build/rights/privilegescope.entity
                                                )

                                        )

                                    [_parameters:private] => Array
                                        (
                                            [id] => 158
                                            [Status] => Active
                                            [Username] => sitarane
                                            [ChangedId] => 0
                                            [Email] => 866
                                            [HomePhoneNumber] => 1223
                                            [CellPhoneNumber] => 1224
                                            [WorkPhoneNumber] => 1225
                                            [SecEmail] => 0
                                            [FirstName] => 870
                                            [SecondName] => 0
                                            [LastName] => 871
                                            [Accomodation] => dependonrequest
                                            [AdditionalAccomodationInfo] => 1340
                                            [ILiveWith] => 1338
                                            [IdCity] => 2911298
                                            [IdentityCheckLevel] => 000
                                            [InformationToGuest] => 0
                                            [TypicOffer] => guidedtour,dinner,CanHostWeelChair
                                            [Offer] => 0
                                            [MaxGuest] => 1
                                            [MaxLenghtOfStay] => 1339
                                            [Organizations] => 1336
                                            [Restrictions] => NoSmoker,NoDrugs,SeeOtherRestrictions
                                            [OtherRestrictions] => 1341
                                            [bday] => 0
                                            [bmonth] => 0
                                            [byear] => 0
                                            [updated] => 2009-04-24 17:37:00
                                            [created] => 2008-06-30 15:27:22
                                            [LastLogin] => 2009-04-24 17:37:00
                                            [SecurityFlag] => 0
                                            [Quality] => NeverLog
                                            [ProfileSummary] => 1268
                                            [Occupation] => 1337
                                            [CounterGuests] => 0
                                            [CounterHosts] => 0
                                            [CounterTrusts] => 0
                                            [PassWord] => *2401D2A463624BCE97A373FA3276540C1F491C92
                                            [Gender] => male
                                            [HideGender] => No
                                            [GenderOfGuest] => any
                                            [MotivationForHospitality] => 
                                            [HideBirthDate] => No
                                            [BirthDate] => 1981-01-02
                                            [AdressHidden] => Yes
                                            [WebSite] => www.pornhub.com
                                            [chat_SKYPE] => 1226
                                            [chat_ICQ] => 
                                            [chat_AOL] => 
                                            [chat_MSN] => 
                                            [chat_YAHOO] => 
                                            [chat_Others] => 
                                            [FutureTrips] => 0
                                            [OldTrips] => 0
                                            [LogCount] => 12
                                            [Hobbies] => 1342
                                            [Books] => 1343
                                            [Music] => 1344
                                            [PastTrips] => 1346
                                            [PlannedTrips] => 1347
                                            [PleaseBring] => 1348
                                            [OfferGuests] => 1349
                                            [OfferHosts] => 1350
                                            [PublicTransport] => 1351
                                            [Movies] => 1345
                                            [chat_GOOGLE] => 0
                                            [NbRemindWithoutLogingIn] => 0
                                        )

                                    [_cache:private] => Array
                                        (
                                            [dao] => PDB_mysql Object
                                                (
                                                    [_cr:private] => Resource id #111
                                                    [_dbname:private] => hcvoltest
                                                    [_results:private] => 
                                                )

                                        )

                                )

                        )

                    [_cache:private] => Array
                        (
                        )

                )

            [controller_classname] => GroupsController
            [words] => MOD_words Object
                (
                    [_lang:private] => arm
                    [_trMode:private] => browse
                    [_whereCategory:private] => 
                    [_offerTranslationLink:private] => 
                    [_langWrite:private] => 12
                    [_dao:private] => PDB_mysql Object
                        (
                            [_cr:private] => Resource id #111
                            [_dbname:private] => hcvoltest
                            [_results:private] => 
                        )

                    [WordMemcache:private] => MOD_bw_memcache Object
                        (
                            [_tablename:private] => words
                            [_sentencecolumn:private] => Sentence
                            [_idtradcolumn:private] => code
                            [_dao:private] => 
                            [memcache:private] => 
                        )

                )

            [ww] => MethodWrap Object
                (
                    [_callback:private] => Array
                        (
                            [0] => MOD_words Object
                                (
                                    [_lang:private] => arm
                                    [_trMode:private] => browse
                                    [_whereCategory:private] => 
                                    [_offerTranslationLink:private] => 
                                    [_langWrite:private] => 12
                                    [_dao:private] => PDB_mysql Object
                                        (
                                            [_cr:private] => Resource id #111
                                            [_dbname:private] => hcvoltest
                                            [_results:private] => 
                                        )

                                    [WordMemcache:private] => MOD_bw_memcache Object
                                        (
                                            [_tablename:private] => words
                                            [_sentencecolumn:private] => Sentence
                                            [_idtradcolumn:private] => code
                                            [_dao:private] => 
                                            [memcache:private] => 
                                        )

                                )

                            [1] => get
                        )

                )

            [wwsilent] => MethodWrap Object
                (
                    [_callback:private] => Array
                        (
                            [0] => MOD_words Object
                                (
                                    [_lang:private] => arm
                                    [_trMode:private] => browse
                                    [_whereCategory:private] => 
                                    [_offerTranslationLink:private] => 
                                    [_langWrite:private] => 12
                                    [_dao:private] => PDB_mysql Object
                                        (
                                            [_cr:private] => Resource id #111
                                            [_dbname:private] => hcvoltest
                                            [_results:private] => 
                                        )

                                    [WordMemcache:private] => MOD_bw_memcache Object
                                        (
                                            [_tablename:private] => words
                                            [_sentencecolumn:private] => Sentence
                                            [_idtradcolumn:private] => code
                                            [_dao:private] => 
                                            [memcache:private] => 
                                        )

                                )

                            [1] => getBuffered
                        )

                )

            [wwscript] => MethodWrap Object
                (
                    [_callback:private] => Array
                        (
                            [0] => MOD_words Object
                                (
                                    [_lang:private] => arm
                                    [_trMode:private] => browse
                                    [_whereCategory:private] => 
                                    [_offerTranslationLink:private] => 
                                    [_langWrite:private] => 12
                                    [_dao:private] => PDB_mysql Object
                                        (
                                            [_cr:private] => Resource id #111
                                            [_dbname:private] => hcvoltest
                                            [_results:private] => 
                                        )

                                    [WordMemcache:private] => MOD_bw_memcache Object
                                        (
                                            [_tablename:private] => words
                                            [_sentencecolumn:private] => Sentence
                                            [_idtradcolumn:private] => code
                                            [_dao:private] => 
                                            [memcache:private] => 
                                        )

                                )

                            [1] => getForScript
                        )

                )

            [layoutkit] => Layoutkit Object
                (
                    [_words:private] => MOD_words Object
                        (
                            [_lang:private] => arm
                            [_trMode:private] => browse
                            [_whereCategory:private] => 
                            [_offerTranslationLink:private] => 
                            [_langWrite:private] => 12
                            [_dao:private] => PDB_mysql Object
                                (
                                    [_cr:private] => Resource id #111
                                    [_dbname:private] => hcvoltest
                                    [_results:private] => 
                                )

                            [WordMemcache:private] => MOD_bw_memcache Object
                                (
                                    [_tablename:private] => words
                                    [_sentencecolumn:private] => Sentence
                                    [_idtradcolumn:private] => code
                                    [_dao:private] => 
                                    [memcache:private] => 
                                )

                        )

                    [_values:private] => Array
                        (
                            [formkit] => Formkit Object
                                (
                                    [_injected_parameters:private] => Array
                                        (
                                            [mem_from_redirect] => 
                                            [posthandler] => RoxPostHandler Object
                                                (
                                                    [_registered_callbacks:private] => Array
                                                        (
                                                            [4cxg80zrLa=OEhWbL5qaXtSvy4H] => Array
                                                                (
                                                                    [classname] => LoginController
                                                                    [methodname] => loginCallback
                                                                    [count] => 1
                                                                    [mem_resend] => ReadWriteObject Object
                                                                        (
                                                                            [_values:private] => Array
                                                                                (
                                                                                )

                                                                        )

                                                                )

                                                            [9dk7xmriA5GueRkXG6GWepVfdXT] => Array
                                                                (
                                                                    [classname] => GroupsController
                                                                    [methodname] => changeMemberSettings
                                                                    [count] => 0
                                                                    [mem_resend] => ReadWriteObject Object
                                                                        (
                                                                            [_values:private] => Array
                                                                                (
                                                                                )

                                                                        )

                                                                )

                                                            [7MfdswaMQQEofSvTjbyQRaGcXSM] => Array
                                                                (
                                                                    [classname] => GroupsController
                                                                    [methodname] => changeGroupSettings
                                                                    [count] => 0
                                                                    [mem_resend] => ReadWriteObject Object
                                                                        (
                                                                            [_values:private] => Array
                                                                                (
                                                                                )

                                                                        )

                                                                )

                                                        )

                                                    [_injected_parameters:private] => Array
                                                        (
                                                            [classes] => Array
                                                                (
                                                                )

                                                        )

                                                )

                                        )

                                )

                            [mem_from_redirect] => 
                            [words] => MOD_words Object
                                (
                                    [_lang:private] => arm
                                    [_trMode:private] => browse
                                    [_whereCategory:private] => 
                                    [_offerTranslationLink:private] => 
                                    [_langWrite:private] => 12
                                    [_dao:private] => PDB_mysql Object
                                        (
                                            [_cr:private] => Resource id #111
                                            [_dbname:private] => hcvoltest
                                            [_results:private] => 
                                        )

                                    [WordMemcache:private] => MOD_bw_memcache Object
                                        (
                                            [_tablename:private] => words
                                            [_sentencecolumn:private] => Sentence
                                            [_idtradcolumn:private] => code
                                            [_dao:private] => 
                                            [memcache:private] => 
                                        )

                                )

                        )

                )

            [page_title] => BeWelcome
            [_tr_buffer_header] => 
        )

    [_cache:private] => Array
        (
        )

    [layoutkit] => Layoutkit Object
        (
            [_words:private] => MOD_words Object
                (
                    [_lang:private] => arm
                    [_trMode:private] => browse
                    [_whereCategory:private] => 
                    [_offerTranslationLink:private] => 
                    [_langWrite:private] => 12
                    [_dao:private] => PDB_mysql Object
                        (
                            [_cr:private] => Resource id #111
                            [_dbname:private] => hcvoltest
                            [_results:private] => 
                        )

                    [WordMemcache:private] => MOD_bw_memcache Object
                        (
                            [_tablename:private] => words
                            [_sentencecolumn:private] => Sentence
                            [_idtradcolumn:private] => code
                            [_dao:private] => 
                            [memcache:private] => 
                        )

                )

            [_values:private] => Array
                (
                    [formkit] => Formkit Object
                        (
                            [_injected_parameters:private] => Array
                                (
                                    [mem_from_redirect] => 
                                    [posthandler] => RoxPostHandler Object
                                        (
                                            [_registered_callbacks:private] => Array
                                                (
                                                    [4cxg80zrLa=OEhWbL5qaXtSvy4H] => Array
                                                        (
                                                            [classname] => LoginController
                                                            [methodname] => loginCallback
                                                            [count] => 1
                                                            [mem_resend] => ReadWriteObject Object
                                                                (
                                                                    [_values:private] => Array
                                                                        (
                                                                        )

                                                                )

                                                        )

                                                    [9dk7xmriA5GueRkXG6GWepVfdXT] => Array
                                                        (
                                                            [classname] => GroupsController
                                                            [methodname] => changeMemberSettings
                                                            [count] => 0
                                                            [mem_resend] => ReadWriteObject Object
                                                                (
                                                                    [_values:private] => Array
                                                                        (
                                                                        )

                                                                )

                                                        )

                                                    [7MfdswaMQQEofSvTjbyQRaGcXSM] => Array
                                                        (
                                                            [classname] => GroupsController
                                                            [methodname] => changeGroupSettings
                                                            [count] => 0
                                                            [mem_resend] => ReadWriteObject Object
                                                                (
                                                                    [_values:private] => Array
                                                                        (
                                                                        )

                                                                )

                                                        )

                                                )

                                            [_injected_parameters:private] => Array
                                                (
                                                    [classes] => Array
                                                        (
                                                        )

                                                )

                                        )

                                )

                        )

                    [mem_from_redirect] => 
                    [words] => MOD_words Object
                        (
                            [_lang:private] => arm
                            [_trMode:private] => browse
                            [_whereCategory:private] => 
                            [_offerTranslationLink:private] => 
                            [_langWrite:private] => 12
                            [_dao:private] => PDB_mysql Object
                                (
                                    [_cr:private] => Resource id #111
                                    [_dbname:private] => hcvoltest
                                    [_results:private] => 
                                )

                            [WordMemcache:private] => MOD_bw_memcache Object
                                (
                                    [_tablename:private] => words
                                    [_sentencecolumn:private] => Sentence
                                    [_idtradcolumn:private] => code
                                    [_dao:private] => 
                                    [memcache:private] => 
                                )

                        )

                )

        )

)

)
/var/www/test.bewelcome.org/tools/routing/roxfrontrouter.class.php (line 304)
RoxFrontRouter::runControllerIndexMethod( string(16) = "GroupsController"

GroupsController

, stdClass object

stdClass Object
(
    [request_uri] => /groups/43/kickmember/14
    [request] => Array
        (
            [0] => groups
            [1] => 43
            [2] => kickmember
            [3] => 14
        )

    [req] => groups/43/kickmember/14
    [get] => Array
        (
        )

    [post] => Array
        (
        )

    [get_or_post] => Array
        (
        )

    [post_or_get] => Array
        (
        )

)

)
/var/www/test.bewelcome.org/tools/routing/roxfrontrouter.class.php (line 183)
RoxFrontRouter::route_normal( stdClass object

stdClass Object
(
    [request_uri] => /groups/43/kickmember/14
    [request] => Array
        (
            [0] => groups
            [1] => 43
            [2] => kickmember
            [3] => 14
        )

    [req] => groups/43/kickmember/14
    [get] => Array
        (
        )

    [post] => Array
        (
        )

    [get_or_post] => Array
        (
        )

    [post_or_get] => Array
        (
        )

)

)
/var/www/test.bewelcome.org/tools/routing/roxfrontrouter.class.php (line 24)
RoxFrontRouter::route( stdClass object

stdClass Object
(
    [request_uri] => /groups/43/kickmember/14
    [request] => Array
        (
            [0] => groups
            [1] => 43
            [2] => kickmember
            [3] => 14
        )

    [req] => groups/43/kickmember/14
    [get] => Array
        (
        )

    [post] => Array
        (
        )

    [get_or_post] => Array
        (
        )

    [post_or_get] => Array
        (
        )

)

)
/var/www/test.bewelcome.org/roxlauncher/roxlauncher.php (line 61)
RoxLauncher::chooseAndRunApplication( EnvironmentExplorer object

EnvironmentExplorer Object
(
    [classes] => Array
        (
        )

)

)
/var/www/test.bewelcome.org/roxlauncher/roxlauncher.php (line 22)
RoxLauncher::launch()
/var/www/test.bewelcome.org/htdocs/index.php (line 63)
main()
/var/www/test.bewelcome.org/htdocs/index.php (line 78)

comment:29 Changed 10 years ago by sitarane

Leaving a group, the confirmation page includes two buttons: GroupsYesGetMeOut? and GroupsNoIStay. That looks like the "name" of variables more than a button caption.

comment:30 Changed 10 years ago by sitarane

Leaving a group where I'm the sole member should pop up the "delete group" window. Instead it returns to the overview, with a tiny line saying: GroupsLeaveFail?

comment:31 Changed 10 years ago by sitarane

Deleting a group, the confirmation page includes two buttons that reflect the variable name (see two posts above).

comment:32 Changed 10 years ago by fake51

Titles should display better now, added some output handling

Also, the various strange button texts you're seeing are texts that haven't been entered into the translation system yet

comment:33 Changed 10 years ago by fake51

Invitations should now work, though need a bit more layout. Accepting or declining an invitation should also work.

Notifications upon invitations and users wanting to join approved-only groups should also work.

comment:34 Changed 10 years ago by micha

moved groups and mvc-base to alpha in r7674 for testing

comment:35 Changed 10 years ago by globetrotter_tt

I think pagination is still needed for groups. I just had a look on the couchsurfing group on alpha and loading more than 500 members is a bit too much.

On the groups overview page there's also following message:

Notice: Indirect modification of overloaded property GroupsOverviewPage::$featured_groups has no effect in /home/bwrox/alpha.bewelcome.org/build/groups/templates/groupsoverview.column_col3.php on line 32 group

comment:36 Changed 10 years ago by crumbking

  • follow_up changed from test to test on alpha

I tested on alpha:

on http://alpha.bewelcome.org/groups/featured

I get this error:

Notice: Indirect modification of overloaded property GroupsFeaturedPage::$search_result has no effect in /home/bwrox/alpha.bewelcome.org/build/groups/templates/groupsfeatured.column_col3.php on line 30

directly above the first group. also the sorting options seems not to work


http://alpha.bewelcome.org/groups/31

Describtion-> wrong letter: Description

This will be the Klöden Late Summer Camp Group.\r\n It shows the linebreak in code at the end of the sentence.

Also while surfing in German a couple of word seems not be translated/translatable:

Leave this group, owner of this group, Description, Member of this group

comment:37 Changed 10 years ago by fake51

The indirect modification bug should have been fixed by Micha now.

comment:38 Changed 10 years ago by crumbking

still there:

http://alpha.bewelcome.org/groups/search?GroupsSearchInput=bewelcome

Notice: Indirect modification of overloaded property GroupsSearchPage::$search_result has no effect in /home/bwrox/alpha.bewelcome.org/build/groups/templates/groupssearch.column_col3.php on line 34


http://alpha.bewelcome.org/groups/featured

Notice: Indirect modification of overloaded property GroupsFeaturedPage::$search_result has no effect in /home/bwrox/alpha.bewelcome.org/build/groups/templates/groupsfeatured.column_col3.php on line 30

comment:39 Changed 10 years ago by fake51

True, it only got fixed on one page. However, it's a bug in php, so if we get php updated it should be fixed. I don't particularly want to do anything about this code-wise

comment:40 Changed 10 years ago by crumbking

http://alpha.bewelcome.org/groups/mygroups

just report the same issue Notice: Indirect modification of overloaded property GroupsMyGroupsPage::$search_result has no effect in /home/bwrox/alpha.bewelcome.org/build/groups/templates/groupsmygroups.column_col3.php on line 6

comment:41 Changed 10 years ago by crumbking

If you click a forum thread in a group you will be forwarded to the forum. Instead you should stay in the group structure (menü).

tab discussion:

New topic: the group should be fixed. There is no need to choose a relevant group again if you start a thread out of the group.

If you read a thread you will be be forwarded to the forum. Same as above.

comment:42 Changed 10 years ago by fake51

Good point about the forum, however, it sort of needs it's own ticket. I've created one for it, if you could post it there would be cool :) #1140. (The reason for this is that this is an effect of how we currently implement external features in apps)

comment:43 Changed 10 years ago by crumbking

http://alpha.bewelcome.org/groups/31/membersettings


Your member settings have not been updated!

GroupMemberSettingsProblems?

I tried to update "Do you accept emails from this group?" from NO to Yes but got the obove error.

comment:44 Changed 10 years ago by crumbking

http://alpha.bewelcome.org/groups/31/groupsettings
If I change some settings /upload a picture there is NO message like:
Your settings have been successfully saved. (or whatever)
It could happen that people hit the button several times.

comment:45 Changed 10 years ago by crumbking

http://alpha.bewelcome.org/groups/31/memberadministration

I tried to invite "lupochen".

found: Invite lupochen

Invite lupochentest2

Invite lupochenTESTER1

Invite lupochen2

Invite lupochen3


After a click on "Invite lupochen" I got the error popup with : "Could not invite member."

comment:46 Changed 10 years ago by crumbking

but even with the error above,
lupochen show up in the "invited member list"

comment:47 Changed 10 years ago by fake51

Overloaded property should be fixed now.

comment:48 Changed 10 years ago by fake51

Another fix:

sorting of groups under groups/featured

comment:49 Changed 10 years ago by crumbking

http://alpha.bewelcome.org/groups/search?GroupsSearchInput=&Order=&Page=

the sorting seems to work. Just sorting via "date" seems not to work. I get year 2008, 2007, 2007, 2009 in a list.

comment:50 Changed 9 years ago by fake51

  • Component changed from BW General to BW Group

comment:51 Changed 9 years ago by micha

  • follow_up changed from test on alpha to none
  • Resolution set to worksforme
  • Status changed from new to closed

it's on production. Further bugs should go to seperate tickets.

comment:52 Changed 6 years ago by TimLoal

  • Milestone changed from unassigned to Legacy Resolved
Note: See TracTickets for help on using tickets.